import './style.scss'

function register ({ registerHook, peertubeHelpers }) {
  const script = document.createElement('script')
  script.src = 'https://www.gstatic.com/cv/js/sender/v1/cast_sender.js?loadCastFramework=1'
  document.body.appendChild(script)

  registerHook({
    target: 'filter:videojs.options',
    handler: options => Object.assign(
      {},
      options,
      {
				chromecast: {
					modifyLoadRequestFn: function (loadRequest) {
						loadRequest.media.hlsSegmentFormat = 'fmp4';
						loadRequest.media.hlsVideoSegmentFormat = 'fmp4';
						return loadRequest;
					}
				},
        plugins: Object.assign(
          {},
          options.plugins,
          {
            chromecast: {},
          }
        ),
        techOrder: ['chromecast', 'html5'],
      }
    ),
  })
}

export {
  register
}
