const path = require('path')
const MiniCssExtractPlugin = require('mini-css-extract-plugin');

const clientFiles = [
  'common-client-plugin.js'
]

const config = clientFiles.map(f => ({
  entry: './client/' + f,
  output: {
    path: path.resolve(__dirname, './dist'),
    filename: './' + f,
    library: 'script',
    libraryTarget: 'var',
  },
  plugins: [new MiniCssExtractPlugin()],
  module: {
    rules: [
      {
        test: /\.png$/i,
        use: ['file-loader'],
      },
      {
        test: /\.scss$/i,
        use: [MiniCssExtractPlugin.loader, 'css-loader', 'sass-loader'],
      },
    ],
  },
}))

module.exports = config
